-- Leo's gemini proxy

-- Connecting to git.thebackupbox.net:1965...

-- Connected

-- Sending request

-- Meta line: 20 text/gemini

repo: urcd
action: commit
revision:
path_from:
revision_from: 02180e124bd8050d65a5c4babf67b0bafa8ce739:
path_to:
revision_to:

git.thebackupbox.net

urcd

git://git.thebackupbox.net/urcd

commit 02180e124bd8050d65a5c4babf67b0bafa8ce739
Author: Joseph S. Williams <yhpargotpyrc@gmail.com>
Date:   Tue Dec 22 05:06:34 2015 +0000

    [update] added some stuff for ucspi-ssl. if anyone gets this to work please let me know

diff --git a/README b/README

index b4a238c61af353c745ea4330e94688091c41cc31..

index ..c60696c2c97ed8c17a69cd892a0ff47244aeb74b 100644

--- a/README
+++ b/README
@@ -22,6 +22,11 @@ install:
  ./install-daemontools.sh
  ./install-ucspi-tcp.sh

+ # URCd with ssl.
+ # if you actually get it to work let me know :-/
+ # depends on openssl, libssl-dev, perl, libperl-dev
+ ./install-ucspi-ssl.sh
+
  # this also patches libtai for 64-bit shared objects
  ./install-libtai.sh

diff --git a/install-ucspi-ssl.sh b/install-ucspi-ssl.sh
new file mode 100755
index 0000000000000000000000000000000000000000..6dcdf2456de77d80b9740c94979584457de03507
--- /dev/null
+++ b/install-ucspi-ssl.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+### is this really necessary? ###
+mkdir -p /package
+chmod 1755 /package
+cd /package
+
+if which wget 2>/dev/null 1>&2; then
+  retr=wget
+elif which curl 2>/dev/null 1>&2; then
+  retr="curl -O"
+elif which ftp 2>/dev/null 1>&2; then
+  retr="ftp"
+else
+  echo "could not find any appropiate way to download sources, no wget, curl or ftp in PATH";
+  exit 1;
+fi
+
+$retr http://www.fehcom.de/ipnet/ucspi-ssl/ucspi-ssl-0.95b.tgz
+tar -xf ucspi-ssl-0.95b.tgz
+cd host/superscript.com/net/ucspi-ssl-0.95b
+
+### compile and install ###
+package/install
diff --git a/run.urcd-ssl b/run.urcd-ssl
new file mode 100755
index 0000000000000000000000000000000000000000..318322cf3821a49ac294e6d23961aa1a566a711f
--- /dev/null
+++ b/run.urcd-ssl
@@ -0,0 +1,7 @@
+#!/bin/sh -e
+
+export DHFILE="env/urcd.pem"
+export KEYFILE="env/urcd.key"
+export CERTFILE="env/urcd.crt"
+
+exec sslserver -H -R -l `cat env/addr` `cat env/addr` `cat env/port` ./urcd `cat env/path` 2>&1

-----END OF PAGE-----

-- Response ended

-- Page fetched on Sun Jun 2 17:35:21 2024